help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: building 2.0.2 on hpux 10.2


From: Erich Waelde
Subject: Re: building 2.0.2 on hpux 10.2
Date: Fri, 21 Jun 2002 10:20:56 +0200

On Thu, Jun 20, 2002 at 10:12:44AM -0700, Edward Pena wrote:
> Has anyone gotten this to work?  If so, did you come across linker errors,
> specifically "unsatisfied symbols"?  
> 
Should you mean this:
        cc -Ae  -g    -L/opt/BerkeleyDB.4.0/lib -L/opt/openssl-0.9.6c/lib  
-L/opt/dce/lib -o cfservd  cfservd.o parse.o  functions.o install.o ip.o  
cfparse.o chflags.o cflex.o  item.o item-ext.o varstring.o  popen.o popen_def.o 
globals.o  filenames.o macro.o eval.o  read.o classes.o misc.o  2Dlist.o 
modes.o locks.o init.o  wildcard.o copy.o rotate.o  net.o acl.o dce_acl.o log.o 
 errors.o crypto.o filters.o  patches.o checksums.o nameinfo.o  strategies.o 
-ll  -ldb -lcrypto -lPW -lm  -lc -L../pub -lpub
/usr/ccs/bin/ld: Unsatisfied symbols:
   Error (data)
*** Error exit code 1

then yes.

However, I'm using the HP AnsiC compiler and still get this error.
I have no cure at this point and I'm hooked at another problem. Sorry.

> /usr/ccs/bin/ld.  Isn't there supposed to
> be a gnu linker?
you have installed binutils, and you have PATH pick them up before
the others, right? Just a wild guess.

Erich Waelde
address@hidden




reply via email to

[Prev in Thread] Current Thread [Next in Thread]